diff --git a/build/src/prebuild/resolveTemplate.js b/build/src/prebuild/resolveTemplate.js
index 3f650afe5c752894a1106cc22a60e39736dbf26f..d8f02cd75b362c7507a0c14572b05c066424ef45 100644
--- a/build/src/prebuild/resolveTemplate.js
+++ b/build/src/prebuild/resolveTemplate.js
@@ -44,12 +44,12 @@ function _interopRequireWildcard(obj) {
 const debug = require("debug")("expo:prebuild:resolveTemplate");
 async function cloneTemplateAsync({ templateDirectory , template , exp , ora  }) {
     if (template) {
-        return await resolveTemplateArgAsync(templateDirectory, ora, exp.name, template);
+        return await resolveTemplateArgAsync(templateDirectory, ora, exp.nativeProjectName, template);
     } else {
         const templatePackageName = await getTemplateNpmPackageName(exp.sdkVersion);
         return await (0, _npm).downloadAndExtractNpmModuleAsync(templatePackageName, {
             cwd: templateDirectory,
-            name: exp.name
+            name: exp.nativeProjectName
         });
     }
 }
